OGRE-Next: Ogre::HlmsComputePso Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::HlmsComputePso Struct Reference
Core » Resources

`#include <OgreHlmsPso.h>`

## Public Member Functions
void | initialize ()

## Public Attributes
GpuProgramParametersSharedPtr | computeParams
GpuProgramPtr | computeShader
uint32 | mNumThreadGroups [3]
| The number of thread groups to dispatch.
uint32 | mThreadsPerGroup [3]
| XYZ.
void * | rsData
| Render-System specific data.

## Member Function Documentation

## ◆ initialize()

void Ogre::HlmsComputePso::initialize | ( |  | ) |
| inline

References mNumThreadGroups, mThreadsPerGroup, and rsData.

## Member Data Documentation

## ◆ computeParams

GpuProgramParametersSharedPtr Ogre::HlmsComputePso::computeParams

## ◆ computeShader

GpuProgramPtr Ogre::HlmsComputePso::computeShader

## ◆ mNumThreadGroups

uint32 Ogre::HlmsComputePso::mNumThreadGroups[3]

The number of thread groups to dispatch.

eg. Typically: mNumThreadGroups[0] = ceil( mThreadsPerGroup[0] / image.width ); mNumThreadGroups[1] = ceil( mThreadsPerGroup[1] / image.height );

See also
  HlmsComputeJob::setNumThreadGroups

Referenced by initialize().

## ◆ mThreadsPerGroup

uint32 Ogre::HlmsComputePso::mThreadsPerGroup[3]

XYZ.

Metal needs the threads per group on C++ side. HLSL & GLSL want the thread count on shader side, thus we allow users to tell us the thread count to C++, and send it to the shaders via @value( threads_per_group_x ); OR let the shader tell C++ the threadcount via @pset( threads_per_group_x, 64 ) (there's also threads_per_group_y & threads_per_group_z)

See also
  HlmsComputeJob::setThreadsPerGroup

Referenced by initialize().

## ◆ rsData

void* Ogre::HlmsComputePso::rsData

Render-System specific data.

Referenced by initialize().

The documentation for this struct was generated from the following file:

- OgreHlmsPso.h